__gnu_cxx::project2nd< _Arg1, _Arg2 > Struct Template Reference
Extensions » SGI

`#include <functional>`

Inherits __gnu_cxx::_Project2nd< _Arg1, _Arg2 >.

## Public Types

typedef _Arg1 | first_argument_type
typedef _Result | result_type
typedef _Arg2 | second_argument_type

## Public Member Functions

_Arg2 | operator() (const _Arg1 &, const _Arg2 &__y) const

## Detailed Description

template<class _Arg1, class _Arg2>
struct __gnu_cxx::project2nd< _Arg1, _Arg2 >

An SGI extension .

Definition at line 241 of file ext/functional.

## Member Typedef Documentation

## first_argument_type

template<typename _Arg1 , typename _Arg2 , typename _Result >

typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type

inherited

`first_argument_type` is the type of the first argument

Definition at line 121 of file stl_function.h.

## result_type

template<typename _Arg1 , typename _Arg2 , typename _Result >

typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type

inherited

`result_type` is the return type

Definition at line 127 of file stl_function.h.

## second_argument_type

template<typename _Arg1 , typename _Arg2 , typename _Result >

typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type

inherited

`second_argument_type` is the type of the second argument

Definition at line 124 of file stl_function.h.

## Member Function Documentation

## operator()()

template<class _Arg1 , class _Arg2 >

_Arg2 __gnu_cxx::_Project2nd< _Arg1, _Arg2 >::operator() | ( | const _Arg1 & | ,
|  | const _Arg2 & | __y
| ) |  | const

inline inherited

Definition at line 223 of file ext/functional.

The documentation for this struct was generated from the following file:

- ext/functional